#pragma once

#include "GeometryNode.h"

#include <memory>

class PathNode : public GeometryNode
{
public:
    PathNode(const Transform& transform, const std::string& psPath);
    static std::unique_ptr<PathNode> Create(const Transform& transform, const std::string& psPath);

    GeometryNode::Type getType() override;

    const std::string& getPathString() const;

    void setPathString(const std::string& psPath);

private:
    void createOrUpdateGeometry(SceneInfo* sceneInfo) override;

    std::string mPathString;
};